const validity = require('./src/validity.js');
const review = require('./src/admin/review.js');
const index = require('./src/admin/survey.index.js');
const questions = require('./src/admin/questions.js');
const edit = require('./src/admin/edit_question');
const create = require('./src/admin/create');
const section = require('./src/admin/section_question');

module.exports = {
    review: function (quiz_id) {
        review(quiz_id);
    },
    index: function (filterType, filterPaginationLimit) {
        index(filterType, filterPaginationLimit);
    },
    questions: function () {
        validity();
        questions();
    },
    question_edit: function() {
        edit();
    },

    create: function() {
        create();
    },

    section: function() {
        section();
    }
};
